<div id="container">
    <div class="row">
        <div class="col-10">
            <div class="jumbotron">
    <form name="form" [formGroup]="form" (ngSubmit)="form.valid && onSubmit()"> 
        <div class="form-group">
            <label for="product">Name of Product</label>
            <input type="text" class="form-control" formControlName="product" 
            [ngClass]="{'is-invalid':form.get('product').touched && 
            form.get('product').invalid}" required/>
            <div class="invalid-feedback">
                <div>Name of product is required</div>
            </div>
        </div>
        <div class="form-group">
            <label for="location">Location</label>
            <input type="text" class="form-control" 
            formControlName="location">
        </div>
        <div class="form-group">
            <label for="contactNumber">Contact Number</label>
            <input type="text" class="form-control" 
            formControlName="contactNumber" 
            [ngClass]="{'is-invalid':form.get('contactNumber').touched &&
                            form.get('contactNumber').invalid}">
            <div *ngIf="form.get('contactNumber').touched &&
            form.get('contactNumber').invalid" class="invalid-feedback">
            <div *ngIf="form.get('contactNumber').errors.required">
                Contact Number is required</div>
            <div *ngIf="form.get('contactNumber').errors.pattern">
                10 digit contact number is required</div>
            </div>
        </div>
        <div class="form-group">
            <label for="howOld">How Old?</label>
            <input type="text" class="form-control" formControlName="howOld">
        </div>
        <div class="form-group">
            <label for="rating">Rating</label>
            <input type="text" class="form-control" formControlName="rating"
           [ngClass]="{'is-invalid':form.get('rating').invalid}">
            <div *ngIf="form.get('rating').invalid" class="invalid-feedback">
            <div *ngIf="form.get('rating').errors.max">Rating should be within 5</div>
        </div> 
        </div>
        <div class="form-group">
            <label for="yearOfPurchase">Year Of Purchase</label>
            <input type="text" class="form-control" formControlName="yearOfPurchase"
            [ngClass]="{'is-invalid':form.get('yearOfPurchase').touched && 
                            form.get('yearOfPurchase').invalid}"/>
            <div class="invalid-feedback">
            
                Year of Purchase is required
        </div>
        </div>
        <div class="form-group">
            <label for="costPrice">Cost Price</label>
            <input type="text" class="form-control" formControlName="costPrice">
        </div>
        <div class="form-group">
            <label for="sellingPrice">Selling Price</label>
            <input type="text" class="form-control" formControlName="sellingPrice" [ngStyle]="{'color':textColor()}">
        </div>
        <div class="form-group">
            <button class="btn btn-primary" [disabled]="!form.valid">Submit</button>
        </div>
    </form>
    <button routerLink="/dashboard">Go back</button>
</div>
</div>
</div>
</div>

